import { commonjsGlobal as u, getDefaultExportFromCjs as d } from "../../../_virtual/_commonjsHelpers.mjs";
import { __module as n } from "../../../_virtual/weekday.mjs";
(function(s, c) {
  (function(i, t) {
    s.exports = t();
  })(u, function() {
    return function(i, t) {
      t.prototype.weekday = function(e) {
        var r = this.$locale().weekStart || 0, o = this.$W, a = (o < r ? o + 7 : o) - r;
        return this.$utils().u(e) ? a : this.subtract(a, "day").add(e, "day");
      };
    };
  });
})(n);
var p = n.exports;
const m = /* @__PURE__ */ d(p);
export {
  m as default
};
